import { HttpException, HttpStatus } from '@nestjs/common';
import { InmuebleEstados } from './inmueble-estados.entity';
import { Repository } from 'typeorm';
import { CreateInmuebleEstadosDto } from './dto/create-inmueble-estados.dto';
import { UpdateInmuebleEstadosDto } from './dto/update-inmueble-estados.dto';
export declare class InmuebleEstadosService {
    private inmuebleEstadosRepository;
    constructor(inmuebleEstadosRepository: Repository<InmuebleEstados>);
    createData(inmuebleEstados: CreateInmuebleEstadosDto): Promise<HttpException | {
        data: Promise<({
            inmueble_id: number;
            estado_proyecto_id: number;
        } & InmuebleEstados)[]>;
        id: number;
        status: HttpStatus;
        message: string;
    }>;
    getData(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        inmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
            estado: import("../estado/estado.entity").Estado;
            estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
            tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
            nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
            distrito: import("../distrito/distrito.entity").Distrito;
            user: import("../users/user.entity").User;
            tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            galeria: import("../galeria/galeria.entity").Galeria[];
            inmuebleEstados: InmuebleEstados[];
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        };
        estadoProyecto: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: InmuebleEstados[];
        };
        id: number;
        deleted_at: Date;
        inmueble_id: number;
        estado_proyecto_id: number;
    }[]>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        inmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
            estado: import("../estado/estado.entity").Estado;
            estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
            tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
            nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
            distrito: import("../distrito/distrito.entity").Distrito;
            user: import("../users/user.entity").User;
            tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            galeria: import("../galeria/galeria.entity").Galeria[];
            inmuebleEstados: InmuebleEstados[];
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: InmuebleEstados[];
        };
        id: number;
        deleted_at: Date;
        inmueble_id: number;
        estado_proyecto_id: number;
        estadoProyecto: import("../estado-proyecto/estado-proyecto.entity").EstadoProyecto;
    }>;
    updateData(id: number, inmuebleEstados: UpdateInmuebleEstadosDto): Promise<HttpException | (InmuebleEstados & UpdateInmuebleEstadosDto)>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
